import os

import testinfra.utils.ansible_runner

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ["MOLECULE_INVENTORY_FILE"]
).get_hosts("all")


def test_freshrss_running(host):
    freshrss = host.docker("freshrss")

    assert freshrss.is_running


def test_freshrss_socket(host):
    # Verify the socket is listening for HTTP traffic
    assert host.socket("tcp://127.0.0.1:8080").is_listening


def test_freshrss_conn_error(host):
    code = int(host.run("curl -sL -w '%{http_code}' http://127.0.0.1:8080/ -o /dev/null").stdout)
    body = host.run("curl -sLX GET http://127.0.0.1:8080/").stdout

    assert code == 200
    assert "Login · FreshRSS" in body
